Subject: [Perc] FEC Proposal

From: Cullen Jennings <[email-masked]>
Date: Thu, 29 Jun 2017 16:57:53 -0600

Here is a straw man of proposal for dealing with Flex FEC that I'd like to discuss in Prague. 

The algorithm recommend in [@I-D.ietf-rtcweb-fec] for repair of video
is Flex FEC [@I-D.ietf-payload-flexible-fec-scheme].  The repair
packets for Flex FEC MUST be handled like RTCP packets instead of RTP
packets in that only the hop-by-hop cryptographic algorithms are
applied when using the double transform and not the end-to-end
algorithms.  When using Flex FEC, the negotiation of double for the
crypto is the out of band signaling that indicates that the repair
packets MUST use the order of operations of SRTP followed by FEC when
encrypting. This is to ensure that the original media is not reveled
to the Media Distributor but at the same time allow the Media
Distributor to repair media.

The PR is at https://github.com/ietf/perc-wg/pull/120

There are some details I don't like about that approach but at a broad brush, it is one way we could solve this.